Bug 183449 - [MAINTAINER] games/assaultcube: Update to v1.2.0.1
Summary: [MAINTAINER] games/assaultcube: Update to v1.2.0.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Thomas Abthorpe
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-10-29 16:30 UTC by lightside
Modified: 2013-11-03 05:20 UTC (History)
0 users

See Also:


Attachments
file.diff (3.88 KB, patch)
2013-10-29 16:30 UTC, lightside
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description lightside 2013-10-29 16:30:00 UTC
Patch to update games/assaultcube port from 1.2.0.0 to 1.2.0.1 version.

- Changed menu pixmap
- Fixed dynamic generation of TMPPLIST for STAGEDIR, by removing empty directory

Fix: Patch attached with submission follows:
Comment 1 Thomas Abthorpe freebsd_committer 2013-11-03 00:44:06 UTC
Responsible Changed
From-To: freebsd-ports-bugs->tabthorpe

I'll take it.
Comment 2 dfilter service freebsd_committer 2013-11-03 05:10:56 UTC
Author: tabthorpe
Date: Sun Nov  3 05:10:47 2013
New Revision: 332588
URL: http://svnweb.freebsd.org/changeset/ports/332588

Log:
  - Update to 1.2.0.1
  
  PR:		ports/183449
  Submitted by:	Sender Ghost <lightside@gmx.com> (maintainer)

Modified:
  head/games/assaultcube/Makefile
  head/games/assaultcube/distinfo   (contents, props changed)
  head/games/assaultcube/files/patch-source_src_Makefile   (contents, props changed)

Modified: head/games/assaultcube/Makefile
==============================================================================
--- head/games/assaultcube/Makefile	Sun Nov  3 05:07:32 2013	(r332587)
+++ head/games/assaultcube/Makefile	Sun Nov  3 05:10:47 2013	(r332588)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	assaultcube
-PORTVERSION=	1.2.0.0
+PORTVERSION=	1.2.0.1
 CATEGORIES=	games
 MASTER_SITES=	SF/actiongame/AssaultCube%20Version%20${PORTVERSION}
 DISTNAME=	AssaultCube_v${PORTVERSION}
@@ -32,7 +32,7 @@ CONFIGURE_ARGS=	--enable-shared=no --ena
 CONFIGURE_WRKSRC=	${WRKSRC}/source/enet
 BUILD_WRKSRC=	${WRKSRC}/source/src
 
-PORTDATA=	config demos packages
+PORTDATA=	config packages scripts
 PORTDOCS=	*
 
 OPTIONS_DEFINE=	DOCS
@@ -55,7 +55,7 @@ SUB_FILES+=	${PORTNAME}_client
 ACUBE_BIN+=	client
 
 DESKTOP_ENTRIES="AssaultCube" "${COMMENT}" \
-	"${DATADIR}/packages/misc/startscreen.png" "${PORTNAME}_client" \
+	"${PREFIX}/share/pixmaps/${PORTNAME}.png" "${PORTNAME}_client" \
 	"Game;" false
 .endif
 
@@ -71,6 +71,13 @@ SUB_FILES+=	${PORTNAME}_master
 ACUBE_BIN+=	master
 .endif
 
+pre-install: .SILENT
+.if !defined(NOPORTDATA)
+	# 	Current STAGEDIR doesn't create empty directories for package,
+	# in case of dynamically generated TMPPLIST, where these directories exist
+	${RMDIR} ${WRKSRC}/packages/maps/servermaps/incoming
+.endif
+
 do-install:
 .for f in ${ACUBE_BIN}
 	${INSTALL_SCRIPT} ${WRKDIR}/${PORTNAME}_${f} ${STAGEDIR}${PREFIX}/bin
@@ -84,11 +91,17 @@ do-install:
 	${MKDIR} ${STAGEDIR}${DOCSDIR}
 	cd ${WRKSRC}/docs && ${COPYTREE_SHARE} . ${STAGEDIR}${DOCSDIR}
 .endif
+.if ${PORT_OPTIONS:MCLIENT}
+	${INSTALL_DATA} ${WRKSRC}/docs/images/icon.png ${STAGEDIR}${PREFIX}/share/pixmaps/${PORTNAME}.png
+.endif
 
 post-install:
 .for f in ${ACUBE_BIN}
 	@${ECHO_CMD} bin/${PORTNAME}_${f} >> ${TMPPLIST}
 	@${ECHO_CMD} libexec/${PORTNAME}_${f} >> ${TMPPLIST}
 .endfor
+.if ${PORT_OPTIONS:MCLIENT}
+	@${ECHO_CMD} share/pixmaps/${PORTNAME}.png >> ${TMPPLIST}
+.endif
 
 .include <bsd.port.mk>

Modified: head/games/assaultcube/distinfo
==============================================================================
--- head/games/assaultcube/distinfo	Sun Nov  3 05:07:32 2013	(r332587)
+++ head/games/assaultcube/distinfo	Sun Nov  3 05:10:47 2013	(r332588)
@@ -1,2 +1,2 @@
-SHA256 (AssaultCube_v1.2.0.0.tar.bz2) = 90b4a7278645d3297f3031b77f9ce3d9a059c2edd6b465fe4c9b0d7514b06a61
-SIZE (AssaultCube_v1.2.0.0.tar.bz2) = 52756452
+SHA256 (AssaultCube_v1.2.0.1.tar.bz2) = b5e0a30fe038fed292138268077ce916dcff0690edc1ce2f06330b4132345001
+SIZE (AssaultCube_v1.2.0.1.tar.bz2) = 53143395

Modified: head/games/assaultcube/files/patch-source_src_Makefile
==============================================================================
--- head/games/assaultcube/files/patch-source_src_Makefile	Sun Nov  3 05:07:32 2013	(r332587)
+++ head/games/assaultcube/files/patch-source_src_Makefile	Sun Nov  3 05:10:47 2013	(r332588)
@@ -1,7 +1,8 @@
---- source/src/Makefile.orig	2013-10-09 23:35:27.000000000 +0400
-+++ source/src/Makefile	2013-10-11 02:18:50.000000000 +0400
-@@ -1,8 +1,7 @@
+--- source/src/Makefile.orig	2013-10-29 13:20:58.000000000 +0400
++++ source/src/Makefile	2013-10-29 17:00:06.000000000 +0400
+@@ -1,9 +1,7 @@
 -CXXFLAGS= -O3 -fomit-frame-pointer
+-CXX=clang++	# Use clang++, as g++ optimizations cause crashes...
  override CXXFLAGS+= -Wall -fsigned-char
  
  PLATFORM= $(shell uname -s)
@@ -10,10 +11,10 @@
  
  INCLUDES= -I. -Ibot -I../enet/include
  
-@@ -21,8 +20,8 @@
+@@ -22,8 +20,8 @@
  else
  USRLIB=$(shell if [ -e /usr/lib64 ]; then echo "/usr/lib64"; else echo "/usr/lib"; fi)
- override CXXFLAGS+= -rdynamic
+ # override CXXFLAGS+= -rdynamic		# clang++ doesn't use this...
 -CLIENT_INCLUDES= $(INCLUDES) -I/usr/include `sdl-config --cflags` -idirafter ../include
 -CLIENT_LIBS= -L../enet/.libs -lenet -L$(USRLIB) -lX11 `sdl-config --libs` -lSDL_image -lz -lGL -lopenal -lvorbisfile -lcurl
 +CLIENT_INCLUDES= $(INCLUDES) -I${LOCALBASE}/include `${SDL_CONFIG} --cflags` -idirafter ../include
@@ -21,7 +22,7 @@
  endif
  
  CLIENT_OBJS= \
-@@ -86,8 +85,8 @@
+@@ -87,8 +85,8 @@
  SERVER_INCLUDES= -DSTANDALONE $(INCLUDES) -I../include
  SERVER_LIBS= -L../lib -lzdll -lenet -llibintl -lws2_32 -lwinmm
  else
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Thomas Abthorpe freebsd_committer 2013-11-03 05:11:20 UTC
State Changed
From-To: open->closed

Committed. Thanks!